Cruzeirao/src/main/java/cruzeirao/beans/CategoriaMB.java
package cruzeirao.beans;

import java.util.ArrayList;
import java.util.List;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

import cruzeirao.modelos.Campeonato;
import cruzeirao.modelos.Categoria;
import cruzeirao.modelos.Equipe;
import cruzeirao.modelos.Inscricao;
import cruzeirao.service.CampService;
import cruzeirao.service.CategoriaService;
import cruzeirao.service.EquipeService;

@ManagedBean (name="CategoriaMB")
@SessionScoped
public class CategoriaMB {
	private Categoria categoria = new Categoria();
	private CategoriaService service = new CategoriaService();
	private Equipe equipe = new Equipe();
	private Inscricao inscricao = new Inscricao();
	private Campeonato campeonato;
	private List<Campeonato> campeonatos;
	private CampService campService = new CampService();
	
	public String salvar()
	{
		campeonato.addCategorias(categoria);
		categoria.setCampeonato(campeonato);
		service.salvar(categoria);
		
		categoria = new Categoria();
		return "inicio";
	}
	
	public String salvarNewCategoria() 
	{
		campeonato.addCategorias(categoria);
		categoria.setCampeonato(campeonato);
		service.salvar(categoria);

		categoria = new Categoria();
		return "cadastroCategoria";
	}

	public Categoria getCategoria() {
		return categoria;
	}

	public void setCategoria(Categoria categoria) {
		this.categoria = categoria;
	}
	
	public List<Categoria> getCategorias()
	{
		return service.getCategorias();
	}

	public Equipe getEquipe() {
		return equipe;
	}

	public void setEquipe(Equipe equipe) {
		this.equipe = equipe;
	}
	
	public ArrayList<Inscricao> getInscricoes(){
		return equipe.getInscricoes();
	}
	
	public ArrayList<Equipe> getAllTeams(){
		
		EquipeService ts = new EquipeService();
		List<Equipe> times = ts.getEquipes();
		ArrayList<Equipe> times2 = new ArrayList<Equipe>();
		times2.addAll(times);
		
		return times2;
	}
	
	public void setPagamento(Equipe t)
	{
		inscricao.setPagamento(true);
		
		t.addInscricao(inscricao);
		
	}

	public Campeonato getCampeonato() {
		return campeonato;
	}

	public void setCampeonato(Campeonato campeonato) {
		this.campeonato = campeonato;
	}

	public List<Campeonato> getCampeonatos() {
		if(campeonatos == null)
			campeonatos = campService.getCampeonatos();
		
		return campeonatos;
	}
	
	
	
	
}

Cruzeirao/src/main/webapp/paginas/comuns/cabecalho.xhtml
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">
	
	<p:panel id="cabecalho" style="margin-left:auto; margin-right:auto; background:#4682B4;border-style:none;">
        <h:panelGrid columns="2" width="100%" cellpadding="10" style="size:59;">

		<p:outputLabel value="#{msg['paginas.comuns.cabecalho.textoprincipal']}" style="border-style:none;font-size:1.5em; size:62; color:#F0E68C;font-style:bold;font-weight:bold;"/>
		
		<p:outputLabel value="#{msg['paginas.comuns.cabecalho.bemvindo']}" style="border-style:none;font-size:1.5em; size:62; color:#F0E68C;font-style:oblique;margin-right:auto"/>
		</h:panelGrid>
    </p:panel>
    
    
</ui:composition>

Cruzeirao/src/main/webapp/paginas/comuns/infoDireita.xhtml
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">

	<h:panelGrid columns="1" width="100%">
	
		<p:graphicImage library="imagens" 
						name="blank.png"/>
						
		<p:graphicImage library="imagens" 
						name="cruz.png"/>
						
		<p:graphicImage library="imagens" 
						name="blank.png"/>
		
		<p:graphicImage library="imagens" 
						name="prefeitura.png"/>
									
		
	</h:panelGrid>
    
</ui:composition>

Cruzeirao/src/main/webapp/paginas/comuns/menuLateral.xhtml
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">

	<h:head>
		<h:outputStylesheet name="css/estilos.css"/>
	</h:head>

	<h:body>
			<h:form>
				<div id="menu" style="background:#7093DB">
					<p:tieredMenu>
							
				          	<p:menuitem value="#{msg['paginas.inicio.menu']}" url="inicio.xhtml"/>
				        	 	
				        	<p:separator/>
				        	
				       		<p:submenu label="#{msg['paginas.comuns.menuLateral.cadastros']}">
				            	<p:menuitem value="#{msg['paginas.modelos.cadCampeonato.menuNome']}" url="cadCampeonato.xhtml" />
				            	<p:menuitem value="#{msg['paginas.modelos.cadCategoria.menuNome']}" url="cadCategoria.xhtml" />
				            	<p:menuitem value="#{msg['paginas.modelos.cadLocal.menuNome']}" url="cadLocal.xhtml" />
				            	<p:menuitem value="#{msg['paginas.modelos.cadEquipe.menuNome']}" url="cadEquipe.xhtml" />
				            	<p:menuitem value="#{msg['paginas.inscricoes.inscreverTime.menu']}" url="/paginas/inscricoes/inscreverTime.xhtml" />
				        	</p:submenu>
						    
						    <p:separator/>
						    
						    <p:submenu label="#{msg['paginas.comuns.menuLateral.listagem']}">
				            	<p:menuitem value="#{msg['paginas.modelos.cadUser.menuTodos']}" url="/paginas/todos/mostraUsers.xhtml"/>
				            	<p:menuitem value="#{msg['paginas.modelos.cadCampeonato.menuTodos']}" url="/paginas/todos/mostraCamp.xhtml"/>
				            	<p:menuitem value="#{msg['paginas.modelos.cadLocal.menuTodos']}" url="/paginas/todos/mostraLocais.xhtml"/>
				            	<p:menuitem value="#{msg['paginas.modelos.cadEquipe.menuTodos']}" url="/paginas/todos/mostraEquipes.xhtml"/>
				            	<p:menuitem value="#{msg['paginas.inscricoes.menuTodos']}" url="/paginas/todos/mostraInscritos.xhtml"/>
				            	<p:menuitem value="#{msg['paginas.inscricoes.menuTodos2']}" url="/paginas/todos/mostraEquipesCampeonato.xhtml"/>
				        	</p:submenu>
				        	
				        	<p:separator/>
				        	
				        	<p:submenu label="#{msg['paginas.comuns.menuLateral.inscricao']}">
				        		<p:menuitem value="#{msg['paginas.inscricoes.inscreverJogador.menu']}" url="/paginas/inscricoes/inscreverJogador.xhtml" />
				        		<p:menuitem value="#{msg['paginas.inscricoes.inscreverTime.menu']}" url="/paginas/inscricoes/inscreverTime.xhtml" />
				        	</p:submenu>
						    
						    <p:separator/>
				        	
				        	<p:submenu label="#{msg['paginas.todos.tabelaC']}">
				        		<p:menuitem value="#{msg['pages.resultados.menu']}" url="resultados.xhtml" />
				        		<p:menuitem value="#{msg['pages.chave.menu']}" url="chave.xhtml"/>
				        	</p:submenu>
				        	
				        	<p:separator/>
				        		
					        <p:submenu label="#{msg['paginas.comuns.menuLateral.organizador']}" >
					            <p:menuitem value="#{msg['paginas.inscricoes.menu']}" url="autorizacaoInscricao.xhtml" />
					        </p:submenu>
				        	
				        	<p:submenu label="#{msg['paginas.comuns.menuLateral.idioma']}">
				        		<p:menuitem value="#{msg['paginas.linguagem.menu']}" url="linguagem.xhtml" />
				        	</p:submenu>
				        	
				        	 <p:separator/>
				        	 	
				        	<p:menuitem value="#{msg['paginas.sobre']}" url="Sobre.xhtml"/>
						    
			    	</p:tieredMenu>
		    	</div>
			</h:form>	
	</h:body>


</ui:composition>

Cruzeirao/src/main/webapp/paginas/comuns/menuSuperior.xhtml
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">
	
	
	<h:head>
		<h:outputStylesheet name="css/estilos.css"/>
	</h:head>
	
	<h:body>
		<h:form>
			<div id="menu" style="background:#7093DB">
					<p:menubar>
				          	<p:menuitem value="#{msg['paginas.inicio.menu']}" url="inicio.xhtml"/>
				        	
				       		<p:submenu label="#{msg['paginas.comuns.menuLateral.cadastros']}">
				            	<p:menuitem value="#{msg['paginas.modelos.cadCampeonato.menuNome']}" url="cadCampeonato.xhtml" />
				            	<p:menuitem value="#{msg['paginas.modelos.cadCategoria.menuNome']}" url="cadCategoria.xhtml" />
				            	<p:menuitem value="#{msg['paginas.modelos.cadLocal.menuNome']}" url="cadLocal.xhtml" />
				            	<p:menuitem value="#{msg['paginas.modelos.cadEquipe.menuNome']}" url="cadEquipe.xhtml" />
				            	<p:menuitem value="#{msg['paginas.inscricoes.inscreverTime.menu']}" url="/paginas/inscricoes/inscreverTime.xhtml" />
				        	</p:submenu>
						    
						    <p:submenu label="#{msg['paginas.comuns.menuLateral.listagem']}">
				            	<p:menuitem value="#{msg['paginas.modelos.cadUser.menuTodos']}" url="/paginas/todos/mostraUsers.xhtml"/>
				            	<p:menuitem value="#{msg['paginas.modelos.cadCampeonato.menuTodos']}" url="/paginas/todos/mostraCamp.xhtml"/>
				            	<p:menuitem value="#{msg['paginas.modelos.cadLocal.menuTodos']}" url="/paginas/todos/mostraLocais.xhtml"/>
				            	<p:menuitem value="#{msg['paginas.modelos.cadEquipe.menuTodos']}" url="/paginas/todos/mostraEquipes.xhtml"/>
				            	<p:menuitem value="#{msg['paginas.inscricoes.menuTodos']}" url="/paginas/todos/mostraInscritos.xhtml"/>
				            	<p:menuitem value="#{msg['paginas.convites.menuTodos']}" url="/paginas/todos/mostraConvites.xhtml"/>
				        	</p:submenu>
				        	
				        	<p:submenu label="#{msg['paginas.todos.tabelaC']}">
				        		<p:menuitem value="#{msg['paginas.resultados.menu']}" url="/paginas/todos/resultados.xhtml" />
				        		<p:menuitem value="#{msg['paginas.chave.menu']}" url="/paginas/todos/chave.xhtml"/>
				        	</p:submenu>

					        <p:submenu label="#{msg['paginas.comuns.menuLateral.organizador']}" >
					            <p:menuitem value="#{msg['paginas.inscricoes.menu']}" url="autorizacaoInscricao.xhtml" />
					        </p:submenu>
				        	
				        	<p:submenu label="#{msg['paginas.comuns.menuLateral.idioma']}">
				        		<p:menuitem value="#{msg['paginas.linguagem.menu']}" url="linguagem.xhtml" />
				        	</p:submenu>
				        	 	
				        	<p:menuitem value="#{msg['paginas.sobre.menu']}" url="Sobre.xhtml"/>
						    
			    	</p:menubar>
			    	
			    </div>
			</h:form>	
	
	</h:body>

    
</ui:composition>

Cruzeirao/src/main/webapp/paginas/comuns/rodape.xhtml
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">
		
	<div id="div">
	
		<p:outputLabel value="#{msg['paginas.comuns.rodape.texto']}" />
		
	</div>	
				
</ui:composition>